HanMacWrdJGraphInternal::ShapeGraph Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdJGraphInternal::ShapeGraph Struct Reference

Internal: the geometrical graph of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::ShapeGraph:

## Public Member Functions
| ShapeGraph (Frame const &orig)
| constructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
Box2f | getBdBox () const
| return the frame bdbox More...
virtual | ~Frame ()
| destructor More...

## Public Attributes
MWAWGraphicShape | m_shape
| the shape m_shape More...
int | m_arrowsFlag
| the lines arrow flag More...
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeGraph const &graph)
| operator<< More...

## Detailed Description

Internal: the geometrical graph of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

HanMacWrdJGraphInternal::ShapeGraph::ShapeGraph | ( | Frame const & | orig | ) |
| inline

constructor

## Member Function Documentation

std::string HanMacWrdJGraphInternal::ShapeGraph::print | ( |  | ) | const
| inline

print local data

virtual bool HanMacWrdJGraphInternal::ShapeGraph::valid | ( |  | ) | const
| inlinevirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ShapeGraph const & | graph
| ) |  |
| friend

operator<<

## Member Data Documentation

int HanMacWrdJGraphInternal::ShapeGraph::m_arrowsFlag

the lines arrow flag

Referenced by print(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), and HanMacWrdJGraph::sendShapeGraph().

MWAWGraphicShape HanMacWrdJGraphInternal::ShapeGraph::m_shape

the shape m_shape

Referenced by print(), HanMacWrdJGraph::readGraphData(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), and HanMacWrdJGraph::sendShapeGraph().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx